<apex:page standardController="Opportunity" extensions="Sites_MoodMedia_Controler_PriProg" sidebar="false" showHeader="False" >

<html dir="ltr" lang="en-US">
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 
    <title>DISH Business Property Entry Portal (Private Products)</title>
    <!--- CSS --->
   
    </head>
<style>
/* ------- This is the CSS Reset ------- */

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, 
abbr, acronym, address, big, cite, code, del,
dfn, em, img, ins, kbd, q, s, samp, small,
strike, strong, sub, sup, tt, var, u, i, center,
dl, dt, dd, ol, ul, li, fieldset, form, label,
legend, table, caption, tbody, tfoot, thead, tr,
th, td, article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup, menu,
nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}

/* ------- HTML5 display-role reset for older browsers ------- */

article, aside, details, figcaption, figure, footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after, q:before, q:after {
    content: '';
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}


/* ------- Remove Chromes border around active fields ------- */

*:focus {
    outline: none;
}

/* ------- Disable background and border for input fields ------- */

input {
    background: transparent;
    border: 0;
}



/* --------------------------------------------------------------- */

/* ------- Body ------- */

body {
    background: #eeeeee url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bdyD&amp;oid=00D600000006sHg&amp;lastMod=1348516192000') top left repeat;
}


/* ------- Container ------- */

#container {
    margin: auto;
    margin-top: 0px;
    width: 1142px;
    height: 788px;
    text-align: left;
    font-family: Verdana, Arial;
    font-weight: normal;
    font-size: 12px;
    color: #ffffff;
}


/* ------- Login Form ------- */

form, .welcome {
    background: url('https://c.na4.content.force.com/servlet/servlet.ImageServer?id=01560000000bbVx&amp;oid=00D600000006sHg&amp;lastMod=1348516079000') top left no-repeat;
    width: 1142px;
    height: 788px;
    padding-top: 1px;
}

.ProTitle-text {
    width: 210px;
    float: left;
    margin-top: 75px;
    margin-left: 60px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold;
    text-decoration:underline;  
}

.Programming-table {
    width: 225px;
    float: left;
    margin-top: 110px;
    margin-left: -210px;
    line-height: 150%;

 

    
}

.StartTitle-text {
    width: 210px;
    float: left;
    margin-top: 75px;
    margin-left: 25px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
    text-decoration:underline; 
}

.Starters-text {
    width: 300px;
    float: left;
    margin-top: 110px;
    margin-left: -210px;
    
}

.NETitle-text {
    width: 210px;
    float: left;
    margin-top: 385px;
    margin-left: -300px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold;
    text-decoration:underline;  
}

.Newslist-text {
    width: 310px;
    float: left;
    margin-top: 405px;
    margin-left: -300px;
    
}

.MusicTitle-text {
    width: 210px;
    float: left;
    margin-top: 600px;
    margin-left: -310px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold;
    text-decoration:underline; 
}

.musiclist-text {
    width: 310px;
    float: left;
    margin-top: 635px;
    margin-left: -310px;
    
}

.SportsTitle-text {
    width: 210px;
    float: left;
    margin-top: 75px;
    margin-left: 35px;
    font-family: Verdana, Arial;
    font-size: 16px;
    font-weight:bold; 
    text-decoration:underline; 
}

.sportslist-text {
    width: 425px;
    float: left;
    margin-top: 110px;
    margin-left: -210px;
    
}

.submit {
    width: 55px;
    height: 75px;
    float: left;
    margin-top: -100px;
    margin-left: 1025px;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 26px;
    color: #ffffff;
}


.PB {
    width: 55px;
    height: 73px;
    float: left;
    margin-top: 700px;
    margin-left: -200px;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 14px;
    color: #ffffff;
}

.Refresh {
    width: 55px;
    height: 73px;
    float: left;
    margin-top: 675px;
    margin-left: -200px;
    font-family: Verdana, Arial;
    font-weight:bold; 
    font-size: 14px;
    color: #ffffff;
}

</style>

<body>
        <div id="container">
           <apex:form >
         
           <div class="ProTitle-text" >Selected Programming</div>
           <apex:dataTable value="{!shoppingCart}" var="s" columns="2"  Styleclass="Programming-table" width="200" title="Selected {!$ObjectType.Product2.LabelPlural}" id="selected">
                <apex:column headerValue="Package Name" style="font-weight:bold;color:white;font-size:12px" value="{!s.PriceBookEntry.Product2.Name}"/> 
                <apex:column headerValue="Sales Price" style="font-weight:bold;color:white;font-size:12px" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}" >
                <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((s.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(s.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>
                </apex:dataTable>
            <div class="Refresh" ><A HREF="javascript:history.go(0)" style="color:white">Clear Packages</A></div> 
             
            <div class="StartTitle-text">Basic</div>      
            <apex:dataTable value="{!Basic}" var="a" styleClass="Starters-text" cellpadding="2">
                        <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px" width="{!IF($CurrentPage.parameters.disc="null",175,155)}"/>                                       
                        <apex:column style="font-weight:bold;color:white;font-size:12px" width="{!IF($CurrentPage.parameters.disc="null",52,81)}">
                        <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>                                    
                        <apex:column > <apex:commandButton value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                        <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                    </apex:dataTable> 
          <!--  <div class="NETitle-text"><apex:outputText value="HD"/></div>  
            <apex:dataTable value="{!HD}" var="a" styleClass="Newslist-text" cellpadding="2">                    
                        <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px"/>                                       
                        <apex:column style="font-weight:bold;color:white;font-size:12px">
                        <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}" /> </apex:column>                                              
                        <apex:column > <apex:commandButton value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                        <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                    </apex:dataTable>     -->
                    <div class="SportsTitle-text">Add On Packages</div>               
                     <apex:dataTable value="{!AddOnPackages}" var="a" styleClass="sportslist-text" cellpadding="5">
                        <apex:column value="{!a.Product2.Name}" style="font-weight:bold;color:white;font-size:12px" width="270"/>                                       
                        <apex:column style="font-weight:bold;color:white;font-size:12px" >
                        <apex:outputText value="${!IF($CurrentPage.parameters.disc!="null",ROUND((a.UnitPrice*((100-(VALUE($CurrentPage.parameters.disc)))/100)),2),(VALUE(TEXT(a.UnitPrice))))}" rendered="{!IF($CurrentPage.parameters.direct="true",false,true)}"/> </apex:column>                                            
                        <apex:column > <apex:commandButton value="Select" action="{!addToShoppingCart}" reRender="selected,searchResults" immediate="true">
                        <apex:param value="{!a.Id}" assignTo="{!toSelect}" name="toSelect"/></apex:commandButton></apex:column>                        
                    </apex:dataTable> 
                    
                    <apex:commandlink styleclass="submit" action="{!onSave}" ><span> Go </span> </apex:commandlink>
                    
                                    
 </apex:form>  </div>    </body>       
          
</html>
</apex:page>